﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ProgramTree;

namespace SimpleLang.Visitors
{
    public class MaxNestCyclesVisitor : AutoVisitor
    {
        public int MaxNest = 0;
        public int count = 0;
        public override void VisitCycleNode(CycleNode c)
        {
            count++;
            if (count > MaxNest)
            {
                MaxNest = count;
            }
            c.Stat.Visit(this);
            count--;
        }
    }
}
